#
# spec file for package python-python-docs-theme
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-python-docs-theme
Version:        2022.1
Release:        150300.3.3.1
Summary:        The Sphinx theme for the CPython docs
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://docs.python.org
Source:         https://files.pythonhosted.org/packages/source/p/python-docs-theme/python-docs-theme-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
The Sphinx theme for the CPython docs and related projects

%prep
%setup -q -n python-docs-theme-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/python_docs_theme*

%changelog
* Tue Jan 25 2022 mcepl@suse.com
- Switch to setup.py based installation for compatibility with
  old SLE distros.
* Wed Jan 19 2022 mcepl@suse.com
- Update to 2022.1:
  - Add a configuration for license URL.
  - Exclude the floating navbar from CHM help.
  - Make sidebar scrollable and sticky (on modern browsers)
  - Fix monospace again, on buggy Google Chrome
  - Add the copyright_url variable in the theme
  - Improve readability
  - Remove #searchbox on mobile to fix a layout bug
  - Fix the appearance of version/language selects
  - Make the theme responsive
  - Use default pygments theme
  - Test Github action to validate the theme against docsbuild scripts.
  - Add the copy button to pycon3 highlighted code blocks.
  - Updated the readme, to remind user to install the package in a virtual environment.
  - Updated the package url, using the GitHub repository instead of docs.python.org
  - Added license information to the footer of the doc
  - Fixed typo in the footer
  - Added information on how to use the package
  - Fixed code formatting
  - Fixed code bgcolor and codetextcolor for Sphinx 3.1.0+
* Fri Mar 20 2020 pgajdos@suse.com
- version update to 2020.1
  * no upstream changelog found
* Mon Jun 10 2019 mcepl@suse.com
- Initial packaging effort for 2018.7 version.
